Bug 215716 - Support JavaFX 2.2 FX-in-Swing packaging task
Support JavaFX 2.2 FX-in-Swing packaging task
Status: RESOLVED FIXED
Product: javafx
Classification: Unclassified
Component: Deployment
7.3
PC Windows 7
: P3 (vote)
: 7.3
Assigned To: Petr Somol
issues@javafx
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 08:29 UTC by Petr Somol
Modified: 2012-07-31 02:34 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Somol 2012-07-19 08:29:43 UTC
In NB7.2 FX-in-Swing project we have our own JS implementation of FX artifact deployment (jnlp creation) as there was no support for that in JavaFX2.1 and the standard JavaFX deployment task could not be used due to differences in Swing and FX launch model. JavaFX 2.2 includes a new specific task for this purpose, which we should support whenever it is available.
Comment 2 Petr Somol 2012-07-30 13:16:37 UTC
fixed in jetmain:
http://hg.netbeans.org/jet-main/rev/48ecc64f13dc
Comment 3 Quality Engineering 2012-07-31 02:34:01 UTC
Integrated into 'main-golden', will be available in build *201207310001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/48ecc64f13dc
User: Petr Somol <psomol@netbeans.org>
Log: #215716 - Support JavaFX 2.2 FX-in-Swing packaging task


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo